Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
sha2ossl.c File Reference
`#include "defs.h"`
`#include "sha2ossl.h"`
Include dependency graph for sha2ossl.c:

Go to the source code of this file.

## Macros
#define | SHA_Finish(bit)
#define | SHA384_Final SHA512_Final

## Macro Definition Documentation

#define SHA384_Final SHA512_Final

Definition at line 8 of file sha2ossl.c.

Referenced by SHA384_End().

#define SHA_Finish | ( |  | bit | ) |

Value:
void SHA##bit##_Finish(SHA##bit##_CTX *ctx, char *buf) \
{ SHA##bit##_Final((unsigned char *)buf, ctx);}
buf
unsigned char buf[MIME_BUF_SIZE]
Definition: nkf.c:4308

Definition at line 4 of file sha2ossl.c.